#include <iostream>
#include <sstream>
#include <fstream>
#include <ppl.hh>
#include "ppl_validity_domain.hh"
extern "C" {
#include "gsl_solver.h"
}
#include "cmaes_interface.h"
#include "satisfaction_degree.hh"
#include "check.inc"
#include "domain_distance.inc"
#include "csv_reader.hh"

int
main(int argc, char *argv[])
{
    PPL::set_rounding_for_PPL();
    std::ifstream file(argv[1]);
    Table table = read_CSV_stream(file);
    Domain domain = compute_domain(table);
    double result = domain_distance(domain);
    std::cout << (1 - (result / (1 + result))) << "." << std::endl;
    return EXIT_SUCCESS;
}
